import 'package:flutter/material.dart';

import 'package:weekday_scroller/weekday_scroller.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Weekday Scroller Example',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: MyHomePage(title: 'Weekday Scroller Example'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key? key, required this.title}) : super(key: key);

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  DateTime _selectedDay = DateTime.now();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Column(
        children: [
          WeekdayScroller(
            selectedDay: _selectedDay,
            changeDay: (value) => setState(() {
              _selectedDay = value;
            }),
            backgroundColor: Colors.white,
            enableWeeknumberText: false,
            // weeknumberColor: const Color(0xFF57AF87),
            // weeknumberTextColor: Colors.white,
            // backgroundColor: const Color(0xFF1A1A1A),
            // weekdayTextColor: const Color(0xFF8A8A8A),
            // digitsColor: Colors.white,
            // selectedBackgroundColor: const Color(0xFF57AF87),
            // weekdays: ["Mo", "Tu", "We", "Th", "Fr"],
            // daysInWeek: 5,
          ),
        ],
      ),
    );
  }
}
